/*
 *	dinc.h 
 *
 */

/* (%W) (%S) Copyright (C) 1995-1998 Digi International Inc., All Rights Reserved */

#include <stdio.h>
#include <unistd.h>
#include <string.h>
#include <ctype.h>
#include <errno.h>
 
#include <sys/termios.h>
#include <sys/ioctl.h>
#include <fcntl.h>
#include <signal.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/time.h>
 
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
 
 
/* include CD-specific header file */
#ifdef  USE_STS_EXT_BAUDS
# include "cd_ext.h"
#endif


#ifndef TRUE
# define        TRUE    (1)
# define        FALSE   (0)
#endif

#ifndef UNKNOWN
# define		UNKNOWN (2)
#endif
 
#ifndef OK
#define OK                      0
#endif
 
#define BSZ                     512
#define ISZ                     64
#define UC_IDLE                 0
#define UC_CR                   1
#define UC_TILDE                2
#define DINC_CAR                0x10
#define DINC_DTR                0x08
#define DINC_RTS                0x04
#define DINC_CTS                0x02
#define DINC_DSR                0x01

/* functions from dinc_hw.c */
void set_modem();
int get_modem();
int set_baud_exten(int exten);
int is_hwfc();
void set_hwfc();
void clr_swfc();
void clr_hwfc();
void bail(int code);


